import 'package:payment_processors/credit_card.dart';
import 'package:payment_processors/culqi_token_request.dart';
import 'package:test/test.dart';

void main() {
  CreditCard card;
  CulqiTokenRequest request;

  setUp(() async {
    card = CreditCard(
        cvv: 123, expMonth: 09, expYear: 2020, number: "4111111111111111");
    request = CulqiTokenRequest(card: card, email: "richard@piedpiper.com");
  });

  test('Getting json from a CulqiRequest', () {
    expect(request.toJson()["cvv"], "123");
    expect(request.toJson()["expiration_month"], "09");
    expect(request.toJson()["expiration_year"], "2020");
    expect(request.toJson()["email"], "richard@piedpiper.com");
    expect(request.toJson()["card_number"], "4111111111111111");
  });
}
