import 'package:payment_processors/culqi_exception.dart';

class CulqiTokenResponse {
  String id;
  String email;
  String cardNumber;
  String object;

  CulqiTokenResponse({this.id, this.email, this.cardNumber, this.object});

  factory CulqiTokenResponse.fromJson(Map<String, dynamic> json) {
    if (json.containsKey('user_message')) {
      throw CulqiException(message: json['user_message']);
    }
    return CulqiTokenResponse(
      cardNumber: json["card_number"],
      id: json["id"],
      email: json["email"],
      object: json["object"],
    );
  }
}
